Results 1 to 5 of 5

Thread: [NEW PACKAGE]Firesheep

  1. #1
    Member joker5bb's Avatar
    Join Date
    Feb 2010
    Posts
    166

    Default [NEW PACKAGE]Firesheep

    Firesheep: A Firefox extension that demonstrates HTTP session hijacking attacks.

    NOTE: Firefox 3.6 is required

    Build:
    Code:
    apt-get install autoconf libhal-dev 
    wget http://releases.mozilla.org/pub/mozilla.org/xulrunner/releases/1.9.2.13/sdk/xulrunner-1.9.2.13.en-US.linux-i686.sdk.tar.bz2
    tar -xjvf xulrunner-1.9.2.13.en-US.linux-i686.sdk.tar.bz2
    Code:
    git clone https://github.com/codebutler/firesheep.git
    git submodule update --init
    cd firesheep
    ./autogen.sh --with-xulrunner-sdk="path to xulrunner sdk" && make
    Install:
    Drag & drop firesheep.xpi from firesheep/build/ into your Addons dialog box, restart Firefox and you should be set.
    Last edited by joker5bb; 12-17-2010 at 09:22 PM.

  2. #2
    Member Vagabond's Avatar
    Join Date
    Feb 2010
    Posts
    50

    Default AW: [NEW PACKAGE]Firesheep

    Hey ! Thanks, but I´m getting a 502 Error (Bad Gateway).


    root@bt:~/tmp# git clone https://github.com/codebutler/firesheep.git
    Initialized empty Git repository in /root/tmp/firesheep/.git/
    Getting alternates list for https://github.com/codebutler/firesheep.git
    got 86ac383776e7e1765b63d36fa579d68a5e35475a
    Also look at https://github.com/network/976990.git/
    error: The requested URL returned error: 502 (curl_result = 22, http_code = 502, sha1 = 3967eca65cee937375b9e8c0a03256a92b52a3e3)
    Getting pack list for https://github.com/codebutler/firesheep.git
    Getting pack list for https://github.com/network/976990.git/
    error: The requested URL returned error: 502
    error: Unable to find 3967eca65cee937375b9e8c0a03256a92b52a3e3 under https://github.com/codebutler/firesheep.git
    Cannot obtain needed object 3967eca65cee937375b9e8c0a03256a92b52a3e3
    fatal: Fetch failed.


    Suggestions ?
    Last edited by Vagabond; 12-18-2010 at 02:29 AM.

  3. #3
    Member joker5bb's Avatar
    Join Date
    Feb 2010
    Posts
    166

    Default Re: AW: [NEW PACKAGE]Firesheep

    bt git package needs to be updated, i get that error too

  4. #4
    Just burned his ISO
    Join Date
    May 2010
    Location
    cyberspace
    Posts
    10

    Default Re: [NEW PACKAGE]Firesheep

    hi man 10x for sharing it's a very useful tool but when the network is not secured when it's secured it dosen't work

  5. #5
    Super Moderator Archangel-Amael's Avatar
    Join Date
    Jan 2010
    Location
    Somewhere
    Posts
    8,012

    Default Re: [NEW PACKAGE]Firesheep

    This is exactly why we tell people to only install packages that come from our repos. Adding things from outside sources (even building from source) can cause problems.
    Further the Tool request section is not for tutorials. This is not how packages are done anyhow.
    To be successful here you should read all of the following.
    ForumRules
    ForumFAQ
    If you are new to Back|Track
    Back|Track Wiki
    Failure to do so will probably get your threads deleted or worse.

Similar Threads

  1. Firesheep en backtrack 4 r2
    By WarMan in forum Soporte en Software
    Replies: 2
    Last Post: 12-25-2010, 06:13 PM
  2. Firesheep
    By VoiceOfWisdom in forum Beginners Forum
    Replies: 6
    Last Post: 12-06-2010, 09:59 PM
  3. Replies: 0
    Last Post: 11-25-2010, 11:26 AM
  4. When is a package not a package?
    By Goldhedge in forum OLD Newbie Area
    Replies: 7
    Last Post: 10-01-2009, 07:46 PM
  5. Any package anywhere for swatch?
    By imported_bulgin in forum OLD BT3final Support
    Replies: 6
    Last Post: 01-14-2009, 05:47 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •